Subject: Re: [PATCH net-next 01/13] net: sched: Pass qdisc reference in struct flow_block_offload

From: Petr Machata <[email-masked]>
Date: Fri, 10 Jul 2020 20:01:51 +0200

Pablo Neira Ayuso <[email-masked]> writes:

> On Fri, Jul 10, 2020 at 06:22:03PM +0200, Petr Machata wrote:
>> 
>> Pablo Neira Ayuso <[email-masked]> writes:
>> 
>> > Moreover, the flow_offload infrastructure should also remain
>> > independent from the front-end, either tc/netfilter/ethtool, this is
>> > pulling in tc specific stuff into it, eg.
>> 
>> Hmm, OK, so I should not have assumed there is always a qdisc associated
>> with a block.
>> 
>> I'm not sure how strong your objection to pulling in TC is. Would it be
>> OK, instead of replacing the device with a qdisc in flow_block_indr, to
>> put in both? The qdisc can be NULL for the "normal" binder types,
>> because there the block is uniquely identified just by the type. For the
>> "non-normal" ones it would be obvious how to initialize it.
>
> Adding an extra field to flow_block_indr instead of replacing struct
> net_device should be ok for your new qevent use-case, right? This new
> Qdisc field will be NULL for the existing use-cases, that is what you
> mean, correct?

Yes, that is what I have in mind.

OK, I'll update the patches accordingly. Thanks!

> I still did not have a look at this new qevent infrastructure, so I
> don't have a better proposal right now.